package net.sumra.auth.auth

import java.util.*

data class PendingSessionData(
/* ==========================================================================================
 * Common
 * ========================================================================================== */
    val clientSecret: String = UUID.randomUUID().toString(),
//    val sendAttempt: Int = 0,
/* ==========================================================================================
 * For login
 * ========================================================================================== */
//    val resetPasswordData: ResetPasswordData? = null,
/* ==========================================================================================
 * For register
 * ========================================================================================== */
    val currentSession: String? = null,
//    val isRegistrationStarted: Boolean = false,
)
